Skip to main content

/cosmos/upgrade/v1beta1/module_versions

GET

ModuleVersions queries the list of module versions from state.
Query Parameters
module_namestring
module_name is a field to query a specific moduleconsensus version from state. Leaving this empty willfetch the full list of module versions from state.
Responses
module_versions is a list of module names with their consensus versions.
namestring
versionstring
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "An unexpected error response."
}
cURL
curl -X GET 'https://rest-cronospos-mainnet.nodit.io/cosmos/upgrade/v1beta1/module_versions' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo'